Garanterad bakåtkompabilitet???

Permalänk
Avstängd

Garanterad bakåtkompabilitet???

Någon som kan upplysa en okunnig på detta område så vore jag tacksam. Det är väldigt vanligt att bakåtkompatibilitet negligeras då en ny större uppdatering av ett OS släpps. T.ex. Windows Vista kan inte köra alla XP program och så.

Men, Sun _garanterar_ bakåtkompatibilitet med varje Solaris version. Sun påstår att de är enda företaget som garanterar bakåtkompatibilitet. Hur kommer det sig? Vad är det för något som Solaris har, som inte de andra OSen har? Fattar inte. Vad får stryka på foten? Leder detta till att Solaris innehåller massa fulhack som gör det instabilt eller nåt? Vad förlorar man? Om det vore så enkelt, skulle ju alla OS garantera det. Någon som vet mera varför inte alla OS garanterar det? Är det svårt? Enkelt? Beror det på lathet? *konfys*

Permalänk
Medlem

Solaris är bättre än allt annat. Så är det bara.

Permalänk
Medlem

"Garanterad bakåtkompabilitet"? Knappast, har varit med om att mjukvara som funkar på en solaris version inte funkar på en efterföljande version.

Permalänk
Medlem

Programvara går alltid att köra i en virtuell miljö om så skulle behövas oavsett vilket operativsystem man kör på sin dator.

Permalänk
Avstängd
Citat:

Ursprungligen inskrivet av monkeh
Solaris är bättre än allt annat. Så är det bara.

Numera ignorerar jag alla sarkastiska kommentarer. Det funkar inte att gå i polemik.

MAGNUSL,
Jag visste att det var för bra för att vara sant. Det märkliga är att i dokumentet nedanför står det att Sun GARANTERAR bl.a. binär bakåtkompatibilitet tillbaka till Solaris v2.6

http://www.hos.horizon.ie/solaris/Solaris10_Essential_Facts.p...

Gäller den garantin för Solaris 10? Vad är det som inte stämmer här?

Permalänk
Medlem

Binär bakåtkompatibilitet behöver ju egentligen inte betyda att alla program fungera. Det kan likgärna betyda att de har samma format på binärerna bara.

(har inte läst dokumentet i fråga).

Permalänk
Avstängd
Citat:

Ursprungligen inskrivet av dr slizer
Binär bakåtkompatibilitet behöver ju egentligen inte betyda att alla program fungera. Det kan likgärna betyda att de har samma format på binärerna bara.

(har inte läst dokumentet i fråga).

Jo men det stå explicit i dokumentet att alla existerande applikationer tillbaka till v2.6 kan köras omodifierade på Solaris 10.

Kanske MagnusL inte körde Solaris 10?